| Home | Libraries | People | FAQ | More

## Function eval

boost::proto::eval — Evaluate a given Proto expression with a given context.

## Synopsis

    // In header: <boost/proto/eval.hpp>

    template<typename Expr, typename Context>
      typename proto::result_of::eval< Expr, Context >::type
      eval(Expr & expr, Context & context);
    template<typename Expr, typename Context>
      typename proto::result_of::eval< Expr, Context >::type
      eval(Expr & expr, Context const & context);

## Description

Parameters:

`context` | The context in which the expression should be evaluated.
`expr` | The Proto expression to evaluate.

Returns: | `typename Context::template eval<Expr>()(expr, context)`